2 weeks ago, in the last post I said that I will start working on the wiki.
Well... I technically didn't lie, I worked on the wiki, but not on the wiki pages,
on the wiki itself `:)`

Anyway here all the updates:

## Re-Re-write: `mp-repo`
Yes, I rewrote `mp-repo`, *again*. This is the last time I swear. I did so because 
I realized that `mp-build`, the tool for building packages, is completely useless.
The package manager (`mp`) does not support standalone packages anyway, so we don't 
really a seperate tool to build packages, `mp-repo` may handle that as well. So 
that's what I did, I rewrote `mp-repo`, in bash, and added the functionality of 
building packages. As a result `mp-build` is now deprecated, source code for `mp-build` 
is now in a private repository.

## Repos are now up!
`base` and `desktop` repos are now up at [pkgs.matterlinux.xyz](https://pkgs.matterlinux.xyz)!
So now it's possible to download packages without building them. The signatures are 
used for the repos belong to me (ngn) and its [F9E70878C2FB389AEC2BA34CA3654DF5AD9F641D](https://keys.openpgp.org/vks/v1/by-fingerprint/F9E70878C2FB389AEC2BA34CA3654DF5AD9F641D).

Now that MatterLinux have working repos, I will start working on a mirror tool, that people
can use to setup mirrors easily. I want repos to be more accessible, the MatterLinux server 
is located in Turkey, so it does not have the greatest *accessibility* for the most part of 
the world.

## The new wiki
After writing 2 pages using the MediaWiki, I got really annoyed by the its syntax. Like FFS 
just use markdown or something! Anyway, I also didn't like the look of the themes, so after 
few minutes of scrolling in the [awesome-selfhosted](https://github.com/awesome-selfhosted/awesome-selfhosted#wikis) list, I picked wikmd, and after installing it with docker, I realized that it's running in development mode, I couldn't find anyway to change that and I didn't want to build the 
docker image myself. 

So I decided to pick another one, WikiJS, which turned out to be pretty bloat. 

After checking out few more of the wiki software on the list, I found out that they are all bad- 
I mean, they are not bad but they were just not what I was looking for. So I decided to expand 
the MatterLinux's website so I can use it as a wiki. And that's what I did, I moved around a lot 
of the server code, and added a new `/wiki` route, which just simply acts like the `/news` route. 

Go ahead and [check it out!](/wiki)

## What's next?
I will finish writing all the important pages, currently the most important page is the 
`installation` page, when its done, well, I will publish the first release archive and it 
will be possible to install MatterLinux!

After that I will start expanding the `desktop` repo and I will also work on the mirror tool 
that I mentioned.

I think that's all for now, see you in the next post.
